## GDtlsServerConnection GDtlsServerConnection — DTLS server-side connection |

## Functions

GDatagramBased * | g_dtls_server_connection_new ()

## Properties

GTlsAuthenticationMode | authentication-mode | Read / Write

## Types and Values

| GDtlsServerConnection
struct | GDtlsServerConnectionInterface

## Object Hierarchy

        GInterface
        ╰── GDtlsServerConnection

## Prerequisites

GDtlsServerConnection requires GDtlsConnection, GDatagramBased and GObject.

## Includes

    #include <gio/gio.h>

## Description

GDtlsServerConnection is the server-side subclass of GDtlsConnection, representing a server-side DTLS connection.

## Functions

### g_dtls_server_connection_new ()

    GDatagramBased *
    g_dtls_server_connection_new (GDatagramBased *base_socket,
                                  GTlsCertificate *certificate,
                                  GError **error);

Creates a new GDtlsServerConnection wrapping `base_socket` .

#### Parameters

base_socket | the GDatagramBased to wrap |
certificate | the default server certificate, or `NULL`. | [allow-none]
error | GError for error reporting, or `NULL` to ignore |

#### Returns

the new GDtlsServerConnection, or `NULL` on error.

[transfer full][type GDtlsServerConnection]

Since: 2.48

## Types and Values

### GDtlsServerConnection

    typedef struct _GDtlsServerConnection GDtlsServerConnection;

DTLS server-side connection. This is the server-side implementation of a GDtlsConnection.

Since: 2.48

### struct GDtlsServerConnectionInterface

    struct GDtlsServerConnectionInterface {
      GTypeInterface g_iface;
    };

vtable for a GDtlsServerConnection implementation.

#### Members

Since: 2.48

## Property Details

### The `“authentication-mode”` property

      “authentication-mode”      GTlsAuthenticationMode

The GTlsAuthenticationMode for the server. This can be changed before calling `g_dtls_connection_handshake()` if you want to rehandshake with a different mode from the initial handshake.

Flags: Read / Write

Default value: G_TLS_AUTHENTICATION_NONE

Since: 2.48